#
# spec file for package howto (Version 2006.3.27)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           howto
License:        Other License(s), see package, LDPL
Group:          Documentation/Howto
Autoreqprov:    on
Version:        2006.3.27
Release:        3.2
Summary:        A Collection of How-Tos
Source:         Linux-HOWTOs.tar.bz2
Source1:        Linux-html-HOWTOs.tar.bz2
NoSource:       0
NoSource:       1
BuildArchitectures: noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description -n howto
This package contains documentation on many tasks relating to the setup
and operation of Linux software. This is the English version in ASCII
format.

These documents are installed to /usr/share/doc/howto. They can be read
with less <filename>.



%package -n howtoenh
Version:        2006.3.27
Release:        3.2
Summary:        A Collection of HOWTOs from the Linux Documentation Project (HTML Format)
Group:          Documentation/Howto
Autoreqprov:    off

%description -n howtoenh
English HOWTOs in HTML format.



%prep
%setup -q -c -b 1

%build
mkdir -p .en/txt
mv * .en/txt
mv .en en
mv en/txt/HOWTO en/html
gzip -9f en/txt/*

%install
rm -rf $RPM_BUILD_ROOT/usr/share/doc/howto
mkdir -p $RPM_BUILD_ROOT/usr/share/doc/howto
mv en $RPM_BUILD_ROOT/usr/share/doc/howto
# remove unpackaged stuff
find $RPM_BUILD_ROOT/usr/share/doc/howto -type f |xargs chmod 644
find $RPM_BUILD_ROOT/usr/share/doc/howto -type d |xargs chmod 755
find $RPM_BUILD_ROOT/usr/share/doc/howto -name "*Quake*" | xargs rm -rfv
# We don't wish to have the ascii files twice.
rm -rf $RPM_BUILD_ROOT/usr/share/doc/howto/en/html/text

%files
%defattr (644,root,root,755)
%dir /usr/share/doc/howto
%dir /usr/share/doc/howto/en
/usr/share/doc/howto/en/txt

%files -n howtoenh
%defattr (644,root,root,755)
%dir /usr/share/doc/howto
%dir /usr/share/doc/howto/en
/usr/share/doc/howto/en/html

%changelog -n howto
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 26 2004 - kukuk@suse.de
- Remove duplicate text howtos
* Mon Jan 26 2004 - kukuk@suse.de
- Build as normal user
* Thu Aug 28 2003 - kukuk@suse.de
- Compress manual pages
* Wed Aug 27 2003 - kukuk@suse.de
- Remove all sub packages except english ascii and html
- Use official tar archives
* Mon Jul 28 2003 - ro@suse.de
- remove install calls for info pages no longer present
* Wed May 28 2003 - ro@suse.de
- remove unpackaged files from buildroot
- add info-[0-9] files to howtoeno
* Wed May 07 2003 - ro@suse.de
- another file removed from install info
- use install_info_delete macro
* Mon May 05 2003 - coolo@suse.de
- removing one more file
* Tue Apr 22 2003 - coolo@suse.de
- fixing list of info entries
* Thu Apr 17 2003 - coolo@suse.de
- use BuildRoot
* Thu Mar 06 2003 - mmj@suse.de
- Fix typo in specfile
* Thu Mar 06 2003 - mmj@suse.de
- Use %%install_info macro [#23426]
* Wed Nov 13 2002 - ro@suse.de
- use opensp in neededforbuild
* Mon Aug 19 2002 - uli@suse.de
- fixed for new fileutils
* Thu Aug 15 2002 - uli@suse.de
- use %%dir, not %%docdir for packing directories (bug #14738)
* Wed Aug 07 2002 - uli@suse.de
- increased search depth once again
- removed obsolete stuff from neededforbuild
* Thu Mar 21 2002 - uli@suse.de
- unwanted file formats: increased search depth by one
* Wed Mar 20 2002 - uli@suse.de
- don't pack Quake HOWTOs for legal reasons (bug #15261)
* Thu Mar 14 2002 - uli@suse.de
- removed obsolete hu package
* Tue Mar 05 2002 - uli@suse.de
- ignore errors when unpacking gz files
- disabled tr package (empty)
* Thu Feb 14 2002 - ro@suse.de
- fix bad owner/group
* Sun Sep 23 2001 - draht@suse.de
- permission fixes (mainly howtohu)
* Mon Aug 27 2001 - uli@suse.de
- removed *.conf files as reqd. by utuerk
* Sat Aug 25 2001 - ro@suse.de
- replaced sp_libs by sp-devel in neededforbuild
* Thu Jul 12 2001 - uli@suse.de
- search docbook dir for SGML stuff
- search html_single dir
* Thu May 10 2001 - adrian@suse.de
- convert conf files to utf8
* Tue Feb 27 2001 - ro@suse.de
- remove other formats (preferring pdf,ps,dvi,sgml in that sequence)
* Tue Feb 13 2001 - uli@suse.de
- fixed dir permissions for Hungarian HOWTOs
* Tue Feb 06 2001 - uli@suse.de
- added howto_hu.conf
* Thu Jan 25 2001 - uli@suse.de
- added Hungarian HOWTOs
- gzipped Portuguese text files
- made everything NoSource
* Tue Jan 16 2001 - mhafner@suse.de
- fixed english conf file for help system
* Thu Jan 11 2001 - mhafner@suse.de
- fixed conf file for help system
* Wed Jan 10 2001 - ro@suse.de
- fixed group tags for subpackages
* Wed Jan 10 2001 - adrian@suse.de
- added SuSEHelp conf files
* Fri Jul 14 2000 - uli@suse.de
- added howtopt (not on mirror)
* Mon Jul 10 2000 - ro@suse.de
- copy instead of move
* Mon Jul 10 2000 - ro@suse.de
- added older german howtos
* Fri Jul 07 2000 - ro@suse.de
- specfile fix
* Fri Jul 07 2000 - ro@suse.de
- fix german howto
* Thu Jul 06 2000 - ro@suse.de
- fix to build again
* Wed Jun 28 2000 - ro@suse.de
- try to get it to build
* Mon May 29 2000 - kukuk@suse.de
- move to /usr/share/doc
* Wed Mar 08 2000 - uli@suse.de
- changed bg for English html index to white
- removed redundant tar archives
* Sat Mar 04 2000 - bs@suse.de
- moved info pages to /usr/share
* Mon Jun 07 1999 - bs@suse.de
- made package "noarch"
* Thu Nov 26 1998 - bs@suse.de
- don't delete howtos.tar.gz
* Wed Nov 25 1998 - uli@suse.de
- added translations
